## fuse-exfat 0.9.6

=== SConstruct ===
#
#	SConstruct (10.09.09)
#	SConscript for all components.
#
#	Copyright (C) 2009, 2010  Andrew Nayenko
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import os
import platform
import SCons

env = Environment(**ARGUMENTS)
destdir = env.get('DESTDIR', '/sbin');
targets = []

if not env['CCFLAGS']:
	if env['CC'] == 'gcc':
		env['CCFLAGS'] = '-Wall -O2 -ggdb'
env.Append(CPPDEFINES = {'FUSE_USE_VERSION': 26})
env.Append(CPPDEFINES = {'_FILE_OFFSET_BITS' : 64})
# __DARWIN_64_BIT_INO_T=0 define is needed because since Snow Leopard inode
# numbers are 64-bit by default, but libfuse operates 32-bit ones. This define
# forces 32-bit inode declaration in system headers, but it's also possible to
# link against libfuse_ino64 instead.
if platform.system() == 'Darwin':
	env.Append(CPPDEFINES = {'__DARWIN_64_BIT_INO_T' : 0})
	env.Append(CPPDEFINES = {'__DARWIN_UNIX03' : 1})
env.Append(CPPPATH = ['libexfat'])
env.Append(LINKFLAGS = '')

def make_symlink(dir, target, link_name):
	workdir = os.getcwd()
	os.chdir(dir)
	try:
		os.remove(link_name)
	except OSError:
		pass
	os.symlink(target, link_name)
	os.chdir(workdir)

symlink = SCons.Action.ActionFactory(make_symlink,
		lambda dir, target, link_name:
				'make_symlink("%s", "%s", "%s")' % (dir, target, link_name))

def program(pattern, output, alias = None, lib = None):
	sources = Glob(pattern)
	if not sources:
		return
	libs = ['exfat']
	if lib:
		libs.append(lib)
	target = env.Program(output, sources, LIBS = libs, LIBPATH = 'libexfat')
	if alias:
		Alias('install', Install(destdir, target),
				symlink(destdir, os.path.basename(output), alias))
	else:
		Alias('install', Install(destdir, target))
	targets.append(target)

env.Library('libexfat/exfat', Glob('libexfat/*.c'))

program('fuse/*.c', 'fuse/mount.exfat-fuse', 'mount.exfat', ['fuse'])
program('dump/*.c', 'dump/dumpexfat')
program('fsck/*.c', 'fsck/exfatfsck', 'fsck.exfat')
program('mkfs/*.c', 'mkfs/mkexfatfs', 'mkfs.exfat')
program('label/*.c', 'label/exfatlabel')

Default(targets)

## fuse-exfat 0.9.7

=== SConstruct ===
--- 
+++ 
@@ -23,23 +23,46 @@
 import SCons
 
 env = Environment(**ARGUMENTS)
+conf = Configure(env)
+
 destdir = env.get('DESTDIR', '/sbin');
 targets = []
+libs = ['exfat']
 
-if not env['CCFLAGS']:
-	if env['CC'] == 'gcc':
-		env['CCFLAGS'] = '-Wall -O2 -ggdb'
-env.Append(CPPDEFINES = {'FUSE_USE_VERSION': 26})
-env.Append(CPPDEFINES = {'_FILE_OFFSET_BITS' : 64})
+if 'CC' in os.environ:
+	conf.env.Replace(CC = os.environ['CC'])
+if 'CCFLAGS' in os.environ:
+	conf.env.Replace(CCFLAGS = os.environ['CCFLAGS'])
+# Set default CCFLAGS for known compilers
+if not conf.env['CCFLAGS']:
+	if conf.env['CC'] == 'gcc':
+		conf.env.Replace(CCFLAGS = '-Wall -O2 -ggdb')
+	elif conf.env['CC'] == 'clang':
+		conf.env.Replace(CCFLAGS = '-Wall -O2 -g')
+conf.env.Append(CPPDEFINES = {'FUSE_USE_VERSION': 26})
+conf.env.Append(CPPDEFINES = {'_FILE_OFFSET_BITS' : 64})
+conf.env.Append(CPPPATH = ['libexfat'])
+if 'LDFLAGS' in os.environ:
+	conf.env.Append(LINKFLAGS = os.environ['LDFLAGS'])
+conf.env.Append(LIBPATH = ['libexfat'])
+
 # __DARWIN_64_BIT_INO_T=0 define is needed because since Snow Leopard inode
 # numbers are 64-bit by default, but libfuse operates 32-bit ones. This define
 # forces 32-bit inode declaration in system headers, but it's also possible to
 # link against libfuse_ino64 instead.
 if platform.system() == 'Darwin':
-	env.Append(CPPDEFINES = {'__DARWIN_64_BIT_INO_T' : 0})
-	env.Append(CPPDEFINES = {'__DARWIN_UNIX03' : 1})
-env.Append(CPPPATH = ['libexfat'])
-env.Append(LINKFLAGS = '')
+	conf.env.Append(CPPDEFINES = {'__DARWIN_64_BIT_INO_T' : 0})
+	conf.env.Append(CPPDEFINES = {'__DARWIN_UNIX03' : 1})
+
+# FreeBSD does not support block devices, only raw devices. Ublio is required
+# for unaligned I/O and caching.
+if platform.system() == 'FreeBSD':
+	conf.env.Append(CPPDEFINES = 'USE_UBLIO')
+	libs.append('ublio')
+	conf.env.Append(CPPPATH = ['/usr/local/include'])
+	conf.env.Append(LIBPATH = ['/usr/local/lib'])
+
+env = conf.Finish()
 
 def make_symlink(dir, target, link_name):
 	workdir = os.getcwd()
@@ -55,14 +78,11 @@
 		lambda dir, target, link_name:
 				'make_symlink("%s", "%s", "%s")' % (dir, target, link_name))
 
-def program(pattern, output, alias = None, lib = None):
+def program(pattern, output, alias, libs):
 	sources = Glob(pattern)
 	if not sources:
 		return
-	libs = ['exfat']
-	if lib:
-		libs.append(lib)
-	target = env.Program(output, sources, LIBS = libs, LIBPATH = 'libexfat')
+	target = env.Program(output, sources, LIBS = libs)
 	if alias:
 		Alias('install', Install(destdir, target),
 				symlink(destdir, os.path.basename(output), alias))
@@ -72,10 +92,10 @@
 
 env.Library('libexfat/exfat', Glob('libexfat/*.c'))
 
-program('fuse/*.c', 'fuse/mount.exfat-fuse', 'mount.exfat', ['fuse'])
-program('dump/*.c', 'dump/dumpexfat')
-program('fsck/*.c', 'fsck/exfatfsck', 'fsck.exfat')
-program('mkfs/*.c', 'mkfs/mkexfatfs', 'mkfs.exfat')
-program('label/*.c', 'label/exfatlabel')
+program('fuse/*.c', 'fuse/mount.exfat-fuse', 'mount.exfat', [libs + ['fuse']])
+program('dump/*.c', 'dump/dumpexfat', None, libs)
+program('fsck/*.c', 'fsck/exfatfsck', 'fsck.exfat', libs)
+program('mkfs/*.c', 'mkfs/mkexfatfs', 'mkfs.exfat', libs)
+program('label/*.c', 'label/exfatlabel', None, libs)
 
 Default(targets)

## fuse-exfat 1.2.3

=== debian/changelog ===
fuse-exfat (1.2.3-1) unstable; urgency=medium

  * New upstream release.
   + Fixed clusters loss when file renaming replaces target.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 22 Dec 2015 14:21:58 +0100

fuse-exfat (1.2.2-1) unstable; urgency=low

  * New upstream release.
    + Drop patch kfreebsd-compat, applied upstream.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 06 Dec 2015 14:28:59 +0100

fuse-exfat (1.2.1-2) unstable; urgency=low

  * Change source format to 3.0.
  * Add d/patches/kfreebsd-compat to support GNU/kfreebsd.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 07 Oct 2015 13:06:29 +0200

fuse-exfat (1.2.1-1) unstable; urgency=low

  * New upstream release
    + Moves from scons to autotools.
    + Includes a fix for CVE-2015-8026.
  * Build-Depend on autotools-dev and pkg-config instead of scons.
  * Set --sbindir=/sbin to stay consistent with the current install location.
  * Remove d/install, no longer required.
  * Enable autotools_dev addon for debhelper.
  * Bump Standards-Version to 3.9.6 - no changes required.
  * Update Homepage and copyright years.
  * Readd a watch file pointing at the github release page.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 07 Oct 2015 11:41:58 +0200

fuse-exfat (1.1.0-2) unstable; urgency=low

  * Remove debian/watch - recent changes at Google code required
    different download links which do not contain readable hrefs.
  * Extent debian/copyright up to 2014.
  * Update debian/copyright license statement - with 1.1.0 upstream
    relicensed from GPLv3 to GPLv2 or later.
  * Update link in debian/copyright to the download location.
  * Add "-D_GNU_SOURCE" unconditionally to the list of CCFLAGS, needed
    to build on kfreebsd.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 01 Sep 2014 09:38:38 +0200

fuse-exfat (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #759155). 
    + Fixes invalid inode output in df (Closes: # 746735)
  * Added "-Wall -std=c99" to the CFLAGS from the list of default
    flags given in the upstream SConstruct file.
  * Standards-Version: 3.9.5, no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 25 Aug 2014 18:45:19 +0200

fuse-exfat (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Remove all patches and usage of quilt.
  * Update years in debian/copyright.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 07 Feb 2013 20:47:49 +0100

fuse-exfat (1.0.0-2) unstable; urgency=low

  * Build depend on quilt, use dh --with quilt.
  * Add debian/patches/fix-fuse-read-write-return-r336.patch
    Fixes "Operation not permitted" error reporting on empty files.
  * Add debian/patches/fix-unexpected-removal-on-dir-move-r337.patch
    Fixes unexpected removal of a directory if you move it into itself.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 25 Jan 2013 22:48:16 +0100

fuse-exfat (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Sven Hoexter <hoexter@debian.org>  Tue, 23 Jan 2013 21:06:21 +0100

fuse-exfat (0.9.8-3) experimental; urgency=low

  * Revert the change from 0.9.8-2, the correct fix is
    to assign CFLAGS to CCFLAGS so the correct set of common
    flags will be picked up by scons.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 25 Oct 2012 17:09:19 +0200

fuse-exfat (0.9.8-2) experimental; urgency=low

  * Build without -fPIE - hardening flags -pie.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 25 Oct 2012 12:41:07 +0200

fuse-exfat (0.9.8-1) experimental; urgency=low

  * New upstream release.
  * Dropped all patches - merged upstream.
  * Dropped all usage of quilt - currently not required.
  * No longer use CFLAGS as CCFLAGS, the SConstruct file
    now honors CCFLAGS.
  
 -- Sven Hoexter <hoexter@debian.org>  Sun, 12 Aug 2012 20:05:10 +0200

fuse-exfat (0.9.7-2) unstable; urgency=low

  * Switch from dh compat level 8 to 9.
  * Enable all hardening flags via DEB_BUILD_MAINT_OPTIONS.
  * Export CFLAGS as CCFLAGS which is honored by the current
    SConstruct file.
  * Symlink mount.exfat-fuse to mount.exfat. This should ease the
    integration with the automount functionality in thunar.
    Thanks to Bob Valantin <valantin89@gmail.com>. (Closes: #673517)
  * Add debian/patches/honor-cppflags - scons should use exported CPPFLAGS.
  * Add debian/patches/utf16-fix - fix handling of characters beyond BMP.
    Thanks to Vladimir Serbinenko <phcoder@gmail.com>. (Closes: #672898)
  * Add build-dep on quilt, use dh quilt addon in debian/rules.
  * Add README.source to reference quilt.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 21 May 2012 21:18:39 +0200

fuse-exfat (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Remove config.log, in the clean target (via override dh_auto_clean).
  * Bump Standards-Version to 3.9.3 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 09 Mar 2012 21:20:25 +0100

fuse-exfat (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 14 Jan 2012 18:20:33 +0100

fuse-exfat (0.9.5-1) unstable; urgency=low

  * Initial release. (Closes: #625611)

 -- Sven Hoexter <hoexter@debian.org>  Mon, 02 Jan 2012 12:58:18 +0100

=== debian/control ===
Source: fuse-exfat
Section: otherosfs
Priority: optional
Maintainer: Sven Hoexter <hoexter@debian.org>
Build-Depends: debhelper (>= 9), libfuse-dev, autotools-dev, pkg-config
Standards-Version: 3.9.6
Homepage: https://github.com/relan/exfat
Vcs-Git: git://git.sven.stormbind.net/git/sven/fuse-exfat.git
Vcs-Browser: http://git.sven.stormbind.net/?p=sven/fuse-exfat.git

Package: exfat-fuse
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse [linux-any], fuse4bsd [kfreebsd-any]
Recommends: exfat-utils
Description: read and write exFAT driver for FUSE 
 fuse-exfat is a read and write driver implementing
 the extended file allocation table as a filesystem in userspace.
 A mounthelper is provided unter the name mount.exfat-fuse.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--sbindir=/sbin \

## fuse-exfat 1.2.5

=== debian/changelog ===
fuse-exfat (1.2.5-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 02 Feb 2017 14:37:49 -0500

fuse-exfat (1.2.5-2) unstable; urgency=medium

  * Move from autotools-dev to dh-autoreconf to ease backporting.
    Patch provided by Nicholas D Steeves. (Closes: #851920)

 -- Sven Hoexter <hoexter@debian.org>  Fri, 20 Jan 2017 11:05:59 +0100

fuse-exfat (1.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 07 Dec 2016 18:13:34 +0100

fuse-exfat (1.2.4-1) unstable; urgency=medium

  * New upstream release. Closes: #828057
  * Bump Standards-Version to 3.9.8 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 25 Jun 2016 14:37:19 +0200

=== debian/watch ===
version=3
https://github.com/relan/exfat/releases .*/fuse-exfat-(\d\S*)\.tar\.gz

## fuse-exfat 1.2.7

=== debian/changelog ===
fuse-exfat (1.2.7-1) unstable; urgency=medium

  * New upstream release.
   + Fixed handling of two last clusters: operations with files that occupy
     these clusters could fail. (Closes: #865487)
  * Update Standards-Version to 4.0.0.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 25 Jun 2017 10:03:32 +0200

fuse-exfat (1.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 15 May 2017 17:26:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Sven Hoexter <hoexter@debian.org>
-Build-Depends: debhelper (>= 9), libfuse-dev, autotools-dev, pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), libfuse-dev, pkg-config, dh-autoreconf
+Standards-Version: 4.0.0
 Homepage: https://github.com/relan/exfat
 Vcs-Git: git://git.sven.stormbind.net/git/sven/fuse-exfat.git
-Vcs-Browser: http://git.sven.stormbind.net/?p=sven/fuse-exfat.git
+Vcs-Browser: https://git.sven.stormbind.net/?p=sven/fuse-exfat.git
 
 Package: exfat-fuse
 Architecture: linux-any kfreebsd-any

## fuse-exfat 1.2.8

=== debian/changelog ===
fuse-exfat (1.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Increment dh compat level to 11.
  * Remove --with autoreconf from dh invocation, it's default since
    compat level 10.
  * Update VCS-Git URL to a working https endpoint.
  * Update Standards-Version to 4.3.1.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 03 Feb 2018 19:35:26 +0100

=== debian/control ===
Source: fuse-exfat
Section: otherosfs
Priority: optional
Maintainer: Sven Hoexter <hoexter@debian.org>
Build-Depends: debhelper (>= 11), libfuse-dev, pkg-config
Standards-Version: 4.1.3
Homepage: https://github.com/relan/exfat
Vcs-Git: https://git.sven.stormbind.net/fuse-exfat.git
Vcs-Browser: https://git.sven.stormbind.net/?p=sven/fuse-exfat.git

Package: exfat-fuse
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse [linux-any], fuse4bsd [kfreebsd-any]
Recommends: exfat-utils
Description: read and write exFAT driver for FUSE
 fuse-exfat is a read and write driver implementing
 the extended file allocation table as a filesystem in userspace.
 A mounthelper is provided unter the name mount.exfat-fuse.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## fuse-exfat 1.3.0

=== debian/changelog ===
fuse-exfat (1.3.0-2) unstable; urgency=medium

  * Drop "mount.exfat" symlink to the mount helper in the
    wake of the exfat support inside Linux. Adding a debian/NEWS
    file to make this change more visible. (Closes: #963752)
  * Update Standards-Version to 4.5.0 - no changes required.
  * Update dh compat level to 13.
  * Remove kfreebsd dependency on fuse4bsd - the package was
    dropped from the archive some time ago.
  * Update debian/copyright for the year 2020.
  * Declare in debian/control "Rules-Requires-Root: no" to build
    without root permission.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 29 Jun 2020 09:55:51 +0200

fuse-exfat (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright up to 2018.
  * Move debhelper compat level definition to Build-Depends.
  * Increase Standards-Version to 4.2.1 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 31 Oct 2018 22:23:28 +0100

=== debian/control ===
Source: fuse-exfat
Section: otherosfs
Priority: optional
Maintainer: Sven Hoexter <hoexter@debian.org>
Build-Depends: debhelper-compat (= 13), libfuse-dev, pkg-config
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/relan/exfat
Vcs-Git: https://git.sven.stormbind.net/fuse-exfat.git
Vcs-Browser: https://git.sven.stormbind.net/?p=sven/fuse-exfat.git

Package: exfat-fuse
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse
Recommends: exfat-utils
Description: read and write exFAT driver for FUSE
 fuse-exfat is a read and write driver implementing
 the extended file allocation table as a filesystem in userspace.
 A mounthelper is provided unter the name mount.exfat-fuse.

## fuse-exfat 1.3.0+git20220115

=== debian/changelog ===
fuse-exfat (1.3.0+git20220115-2) unstable; urgency=medium

  * Upload to unstable to give it a bit more exposure.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 22 Jan 2022 20:14:20 +0100

fuse-exfat (1.3.0+git20220115-1) experimental; urgency=medium

  * Snapshot from upstream git repo at commit
    11e4f032d1782a606e3b004c89990a72cadf91bf
  * Update Standards-Version to 4.6.0 - no changes required.
  * Update debian/copyright to 2022.
  * Update debian/watch to version 4.
  * Recommend exfatprogs instead of the removed exfat-utils.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 15 Jan 2022 22:16:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sven Hoexter <hoexter@debian.org>
 Build-Depends: debhelper-compat (= 13), libfuse-dev, pkg-config
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/relan/exfat
 Vcs-Git: https://git.sven.stormbind.net/fuse-exfat.git
 Vcs-Browser: https://git.sven.stormbind.net/?p=sven/fuse-exfat.git
@@ -12,7 +12,7 @@
 Package: exfat-fuse
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fuse
-Recommends: exfat-utils
+Recommends: exfatprogs
 Description: read and write exFAT driver for FUSE
  fuse-exfat is a read and write driver implementing
  the extended file allocation table as a filesystem in userspace.

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--sbindir=/sbin \
+
+override_dh_auto_install:
+	dh_auto_install
+	rm debian/exfat-fuse/sbin/mount.exfat

=== debian/watch ===
version=4
https://github.com/relan/exfat/releases .*/fuse-exfat-(\d\S*)\.tar\.gz

## fuse-exfat 1.3.0.3

=== debian/changelog ===
fuse-exfat (1.3.0.3-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 3157a3b9436eb7cd38f88934ad28a931076119bf']

 -- shuttle <shuttle@deepin.com>  Thu, 05 Mar 2020 16:12:51 +0000

## fuse-exfat 1.4.0

=== debian/changelog ===
fuse-exfat (1.4.0-4) unstable; urgency=medium

  * Remove dh_auto_configure override, use the defaults.
  * d/control: Drop Rules-Requires-Root: no, it's the default now.
  * Update to Standards-Version 4.7.3, remove the Priority field.
  * d/watch: Update to version 5.
  * d/copyright: Remove old FSF postal address.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 06 Jan 2026 22:46:42 +0100

fuse-exfat (1.4.0-3) unstable; urgency=medium

  * UsrMerge, install with prefix /usr. (Closes: #1073755)
  * Build depend on pkgconf instead of pkg-config.
  * Update Standards-Version to 4.7.0 - no changes required.

 -- Sven Hoexter <hoexter@debian.org>  Tue, 18 Jun 2024 13:25:35 +0200

fuse-exfat (1.4.0-2) unstable; urgency=medium

  * Drop kfreebsd-any from the architecture list since it's going to
    vanish soon.
  * Drop explicit dependency on the fuse binary package, not required
    and should've been fuse3 by now.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 14 Jun 2023 17:35:16 +0200

fuse-exfat (1.4.0-1) experimental; urgency=medium

  * New upstream release, includes fix for
    CVE-2022-29973 (Closes: #1014538).
  * Update debian/watch to query the GitHub API.
  * Build-Depend on libfuse3-dev. Supported upstream starting with
    1.4.0.
  * Update debian/copyright. Drop year from my own copyright line.
  * Update Standards-Version to 4.6.2.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 03 Mar 2023 15:43:18 +0100

=== debian/control ===
Source: fuse-exfat
Section: otherosfs
Maintainer: Sven Hoexter <hoexter@debian.org>
Build-Depends: debhelper-compat (= 13), libfuse3-dev, pkgconf
Standards-Version: 4.7.3
Homepage: https://github.com/relan/exfat
Vcs-Git: https://git.sven.stormbind.net/fuse-exfat.git
Vcs-Browser: https://git.sven.stormbind.net/?p=sven/fuse-exfat.git

Package: exfat-fuse
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: exfatprogs
Description: read and write exFAT driver for FUSE
 fuse-exfat is a read and write driver implementing
 the extended file allocation table as a filesystem in userspace.
 A mounthelper is provided unter the name mount.exfat-fuse.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm debian/exfat-fuse/usr/sbin/mount.exfat

=== debian/watch ===
Version: 5
Template: Github
Owner: relan
Project: exfat
